Ion cube issue

mmaresca

New member
Hi Eugenio. I was attempting to install our Enterprise version on a new server and move my existing dadabik System to the new server. The SQL database installed and copied with no issue. When I run install that PHP, I get a message that I am cube loader doesn’t exist. It has been installed and PHP confirms that it is properly installed. Any ideas? It is on Ubuntu 20.

Version 10.03-Manrola enterprise dadabik version 11.7 Elba 8-18-22. Php 7.4.3 MySQL 8.0.22-0Ubuntu0.20.04.2
Apache/2.4.41 OpenSSL/1.1.1f
 

eugenio

Administrator
Staff member
Hi,
it's not clear which version you are using (I see both 10 and 11 in your message) but install.php just tries to load ioncube, if it is not there.
What do you mean when you say "PHP confirms that it is properly installed"?
 

mmaresca

New member
Hi,
it's not clear which version you are using (I see both 10 and 11 in your message) but install.php just tries to load ioncube, if it is not there.
What do you mean when you say "PHP confirms that it is properly installed"?
My Bad.. I Typed the info rather than copying it. Here is my system info..

I have to move the entire installation to a new server. Exact copy of mySQL, and my existing Dadabik working directory.
I have setup the exact same directory structure. The 2 machines are identical.

The install says that ioncube is not installed.. Not sure why..

You are using DaDaBIK version 10.3-Manarola enterprise, installed on 10-31-2020 (installation code: 161525f9d843a6507f)

System info​

PHP Version: 7.4.3

mysql version: 8.0.22-0ubuntu0.20.04.2

Web server: Apache/2.4.41 (Ubuntu) OpenSSL/1.1.1f

root@mmserver1:~# php -v
PHP 7.4.3 (cli) (built: Jun 13 2022 13:43:30) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
with the ionCube PHP Loader + ionCube24 v10.4.4, Copyright (c) 2002-2020, by ionCube Ltd.
with Zend OPcache v7.4.3, Copyright (c), by Zend Technologies
 

eugenio

Administrator
Staff member
Hello,
can you post a screenshot of install.php and a screenshot of the relevant ioncube loader (not ioncube 24) part of a phpinfo script?

Best,
 

mmaresca

New member
Here is the error i get:

Site error: the ionCube PHP Loader needs to be installed. This is a widely used PHP extension for running ionCube protected PHP code, website security and malware blocking. Please visit get-loader.ioncube.com for install assistance.
 

eugenio

Administrator
Staff member
Here is the error i get:

Site error: the ionCube PHP Loader needs to be installed. This is a widely used PHP extension for running ionCube protected PHP code, website security and malware blocking. Please visit get-loader.ioncube.com for install assistance.

It's impossible you get this from install.php

Again, can you post a screenshot of install.php and a screenshot of the relevant ioncube loader (not ioncube 24) part of a phpinfo script?

Best,
 

mmaresca

New member
here are the current screen shots
 

Attachments

  • Screen Shot 2022-09-15 at 10.44.53 AM.png
    Screen Shot 2022-09-15 at 10.44.53 AM.png
    269.6 KB · Views: 6
  • Screen Shot 2022-09-15 at 10.46.09 AM.png
    Screen Shot 2022-09-15 at 10.46.09 AM.png
    37.7 KB · Views: 6

eugenio

Administrator
Staff member
You should save a phpinfo script in the same directory where dadabik lives, run it and post here a screenshot of the relevant ioncube loader (not ioncube 24) part of a phpinfo script.
 
Top